/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
* Restful接口--新增资源--数据传输对象：脚本输入项数据集关联草稿表
*
* createdate:  2023-08-29 10:41:06  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本输入项数据集关联草稿表")
public class AtuScriptInputSetAddDto implements Serializable
{

    @ApiModelProperty("系统id")
    private String proId;
    @ApiModelProperty("脚本id")
    private String scriptId;
    @ApiModelProperty("数据信息 按行存储")
    private List<AtuScriptInputSetAddTmpDto> atuScriptInputSetAddTmpDtos;
    @ApiModelProperty("系统id")
    private List<String> ids;
    @ApiModelProperty("当脚本id为空时前端显示的结果集")
    private List<JSONObject> jsonObjects;
    @ApiModelProperty("数据信息 表头")
    private List<String> tableHeaders;
    @ApiModelProperty(value = "表头类型集合")
    private List<Map<String, Object>> variables;

    public List<Map<String, Object>> getVariables() {
        return variables;
    }

    public void setVariables(List<Map<String, Object>> variables) {
        this.variables = variables;
    }

    public List<String> getTableHeaders() {
        return tableHeaders;
    }

    public void setTableHeaders(List<String> tableHeaders) {
        this.tableHeaders = tableHeaders;
    }

    public List<JSONObject> getJsonObjects() {
        return jsonObjects;
    }

    public void setJsonObjects(List<JSONObject> jsonObjects) {
        this.jsonObjects = jsonObjects;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public List<AtuScriptInputSetAddTmpDto> getAtuScriptInputSetAddTmpDtos() {
        return atuScriptInputSetAddTmpDtos;
    }

    public void setAtuScriptInputSetAddTmpDtos(List<AtuScriptInputSetAddTmpDto> atuScriptInputSetAddTmpDtos) {
        this.atuScriptInputSetAddTmpDtos = atuScriptInputSetAddTmpDtos;
    }
}